BooleanControl.Type (Java SE 11 & JDK 11 )
Keywords: javax.sound.sampled.BooleanControl.Type class

Module java.desktop
Package javax.sound.sampled

## Class BooleanControl.Type

- java.lang.Object
- - javax.sound.sampled.Control.Type
  - - javax.sound.sampled.BooleanControl.Type

- Enclosing class:
    BooleanControl

      public static class BooleanControl.Type
      extends Control.Type

  An instance of the `BooleanControl.Type` class identifies one kind of boolean control. Static instances are provided for the common types.
  Since:
    1.3

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static BooleanControl.Type` | `APPLY_REVERB` | Represents a control for whether reverberation is applied to a line.
    `static BooleanControl.Type` | `MUTE` | Represents a control for the mute status of a line.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Type​(String name)` | Constructs a new boolean control type.

  - ### Method Summary

    - ### Methods declared in class javax.sound.sampled.Control.Type

      `equals, hashCode, toString`

    - ### Methods declared in class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MUTE

          public static final BooleanControl.Type MUTE

      Represents a control for the mute status of a line. Note that mute status does not affect gain.

    - #### APPLY_REVERB

          public static final BooleanControl.Type APPLY_REVERB

      Represents a control for whether reverberation is applied to a line. Note that the status of this control not affect the reverberation settings for a line, but does affect whether these settings are used.

  - ### Constructor Detail

    - #### Type

          protected Type​(String name)

      Constructs a new boolean control type.
      Parameters:
        `name` - the name of the new boolean control type